Page MenuHomePhabricator

[ELF] - Fixed assertion fail when symbol table has invalid sh_info value.
ClosedPublic

Authored by grimar on Oct 7 2016, 9:05 AM.

Diff Detail

Event Timeline

grimar updated this revision to Diff 73939.Oct 7 2016, 9:05 AM
grimar retitled this revision from to [ELF] - Fixed assertion fail when symbol table has invalid sh_info value..
grimar updated this object.
grimar added reviewers: ruiu, rafael, davide.
grimar added subscribers: llvm-commits, grimar, evgeny777.
ruiu accepted this revision.Oct 10 2016, 3:48 PM
ruiu edited edge metadata.

LGTM

ELF/Writer.cpp
368

getFilename(F) + ": broken input file: getLocalSymbols returns a non-local symbol."

This revision is now accepted and ready to land.Oct 10 2016, 3:48 PM
grimar added inline comments.Oct 11 2016, 2:12 AM
ELF/Writer.cpp
368

changed to "broken object" because "broken input file" makes this fatal to be 3 lines after formatting.

grimar closed this revision.Oct 11 2016, 2:17 AM

r283859